import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, t, i, l) => {
  for (var e = l > 1 ? void 0 : l ? v(t, i) : t, o = c.length - 1, s; o >= 0; o--)
    (s = c[o]) && (e = (l ? s(t, i, e) : s(e)) || e);
  return l && e && g(t, i, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--bagFilled", this.class = "c-pieIcon c-pieIcon--bagFilled", this.name = "IconBagFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--bagFilled"><path fill-rule="evenodd" d="M11.369 4.43h1.785v-.009l.744 8.864c.034.42-.105.831-.394 1.146a1.58 1.58 0 0 1-1.164.508H3.66a1.6 1.6 0 0 1-1.164-.499 1.5 1.5 0 0 1-.402-1.137l.647-8.847h1.89V2.111L5.673 1.07h4.655l1.04 1.041zM10.02 2.418H5.98v2.038l4.042-.017zM8.5 12.33l-.123-1.312h2.634l.123 1.312z" clip-rule="evenodd"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  f("icon-bag-filled")
], r);
export {
  r as IconBagFilled
};
